Bug 609570 - Anaconda forgets IP method selection in loader when going back
Anaconda forgets IP method selection in loader when going back
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On: 490794
Blocks: 647893
  Show dependency treegraph
 
Reported: 2010-06-30 11:59 EDT by Alexander Todorov
Modified: 2011-05-19 08:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 490794
Environment:
Last Closed: 2011-05-19 08:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0530 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-05-18 13:44:52 EDT

  None (edit)
Description Alexander Todorov 2010-06-30 11:59:26 EDT
+++ This bug was initially created as a clone of Bug #490794 +++

--- Additional comment from clumens@redhat.com on 2010-06-30 17:32:06 EEST ---

> This bug talks about kickstart but is assigned to anaconda. Is there a
> pykickstart bug for the --ipv6 option or we'll track this one here?

--ipv6= was added in F8, so it should be in RHEL6.  Is anaconda not paying attention to it, or are you seeing a parse error?

> In loader when I'm at the IPv4/IPv6 manual settings screen and I press back the
> previous screen defaults to DHCP/Automatic, it doesn't remember my previous
> selection manual/manual. Should this be considered bug and reported separately?
> 
> In loader when I select IPv4/DHCP and IPv6/Manual and press Next loader gets an
> IPv4 address and continues to stage2. It doesn't ask me for manual
> configuration. In stage2 the default setting for IPv6 is Automatic not manual. 
> What is the desired behavior and which is the faulty component here, anaconda
> or NM?    

These both sound like separate bugs.  They also both sound like they should be investigated on the anaconda side first.
Comment 1 RHEL Product and Program Management 2010-06-30 12:03:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Alexander Todorov 2010-06-30 12:04:26 EDT
(In reply to comment #0)
> > In loader when I'm at the IPv4/IPv6 manual settings screen and I press back the
> > previous screen defaults to DHCP/Automatic, it doesn't remember my previous
> > selection manual/manual. Should this be considered bug and reported separately?
> > 

Steps to reproduce:
1) Boot from boot.iso
2) select to install from URL
3) Anaconda asks for network configuration
4) Select Manual configuration under both IPv4 and IPv6 and click Next
5) The user is presented with a screen to enter manual settings. Press Back.

Actual results: 
The screen that shows radio buttons to choose between manual/automatic configuration has forgotten the initial selection. It shows all automatic configuration. 

Additional info: 
This is a minor issue but it causes user annoyance. For example I've chosen manual settings and then went back to disable IPv6. When pressed Next anaconda carried over with DHCP instead of manual IPv4 settings and I had to start the installation from scratch.
Comment 3 Alexander Todorov 2010-06-30 12:05:52 EDT
This is with anaconda-13.21.50-9.el6 on a KVM domU
Comment 4 Chris Lumens 2010-06-30 14:58:01 EDT
Given where we are in the schedule, only blocker items will now be considered for fixing in RHEL6.0.  I don't think this meets blocker criteria, so it will have to be delayed until 6.1.  Still, it's worth investigating.
Comment 6 RHEL Product and Program Management 2010-10-29 17:32:30 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 7 Radek Vykydal 2010-11-25 08:14:20 EST
This should be fixed in version 13.21.84-1 of anaconda.
Comment 9 Alexander Todorov 2011-02-16 06:29:05 EST
Tested with anaconda-13.21.97-1.el6 and loader remembers the IP method selection when going back (see comment #2).
Comment 10 errata-xmlrpc 2011-05-19 08:30:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.